# Sed script to add DJGPP specific issues to config.h.


$ a\
\
\
/* DGJPP-specific definitions */\
\
#ifdef __DJGPP__\
# include <sys/version.h>  /*  gcc no longer includes this by default.  */\
\
# if __DJGPP__ == 2 && __DJGPP_MINOR__ < 4\
/*  What ever is defined prefer DJGPP's definitions.  */\
#  undef  EILSEQ\
#  define EILSEQ       41  /*  To match the value used in djdev204  */\
#  undef  ELOOP\
#  define ELOOP        39  /*  To match the value used in djdev204  */\
\
/* DJGPP 2.03 does not provide the `pipe' function but DJGPP 2.04 does. */\
#  if defined(HAVE_PIPE) && HAVE_PIPE == 1\
#   undef  HAVE_PIPE\
#   define HAVE_PIPE   0\
#  endif\
# endif /*  __DJGPP__ == 2 && __DJGPP_MINOR__ < 4  */\
\
/* POSIX says that EAGAIN and EWOULDBLOCK may have the same value.  */\
# ifndef EWOULDBLOCK\
#  define EWOULDBLOCK  EAGAIN\
# endif\
\
/* DJGPP's highst errno is 41 (EILSEQ) so taking the same\
   value than for native windows systems seems to be save.  */\
# ifndef EOPNOTSUPP\
#  define EOPNOTSUPP   10045\
# endif\
\
# if defined (__GNUC__) && (__GNUC__ > 2 || (__GNUC__ == 2 && __GNUC_MINOR__ >= 8))\
#  define __gnuc_extension__  __extension__\
# else\
#  define __gnuc_extension__\
# endif\
#endif
